Bug 1256329 - JON upgrade from 3.3.2 to JON 3.3.3 does not remove files introduced with JON 3.3.0 upgrade 02
JON upgrade from 3.3.2 to JON 3.3.3 does not remove files introduced with JON...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade (Show other bugs)
JON 3.3.3
Unspecified Unspecified
medium Severity high
: DR01
: JON 3.3.4
Assigned To: Simeon Pinder
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 07:25 EDT by bkramer
Modified: 2015-10-28 10:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1585963 None None None Never

  None (edit)
Description bkramer 2015-08-24 07:25:59 EDT
Description of problem:

Files:

1. <RHQ_SERVER_HOME>/modules/org/rhq/server-startup/main/deployments/rhq.ear/lib/rhq-server-metrics-4.12.0.JON330GA-redhat-2.jar
2. <RHQ_SERVER_HOME>/modules/org/rhq/server-startup/main/deployments/rhq.ear/lib/rhq-cassandra-schema-4.12.0.JON330GA-redhat-1.jar

are introduced with JON 3.3.0 update 02 but are not needed in JON 3.3.0 update 03. However, above files are not removed when update is done via JON 3.3.2 (JON 3.3.0 -> JON 3.3.2 -> JON 3.3.3) and because of that, after JON Storage node is restarted,  JON Server does not change it's status from MAINTENANCE to NORMAL. Also, because of this JON Agent does not reconnect to the JON Server.


Version-Release number of selected component (if applicable):
JON 3.3.2 -> JON 3.3.3

How reproducible:
Always

Steps to Reproduce:
1. Install JON 3.3.0;
2. Upgrade JON 3.3.0 to JON 3.3.2;
3. Upgrade JON 3.3.2 to JON 3.3.3;
4. Stop JON Storage Node (./rhqctl stop --storage);
5. Confirm that JON Server is in `MAINTENANCE` mode;
6. Wait until JON Agent is backfilled and then start JON Storage node;

Actual results:
JON Server is still in `MAINTENANCE` mode and JON Agent cannot register with the JON Server.

Expected results:
Restart of the JON Storage Node changes status of the JON Server to `NORMAL` and JON Agent is able to register with the JON Server.

Additional info:
When direct upgrade is done (from JON 3.3.0 to JON 3.3.3), this issue does not exist. 

To fix this, change the upgrade script (JON 3.3.0 upgrade 03) to remove above files if they exist.
Comment 1 Simeon Pinder 2015-09-11 09:56:42 EDT
This if fixed with commit: 03525f95970 to jon.git.

Moving to MODIFIED for inclusion with next brew build.
Comment 2 Simeon Pinder 2015-09-15 23:59:45 EDT
Moving to ON_QA as available to test with new build:
https://brewweb.devel.redhat.com//buildinfo?buildID=456646
*Note: jon-server-patch-3.3.0.GA.zip maps to DR01 build of jon-server-3.3.0.GA-update-04.zip.
Comment 3 Filip Brychta 2015-09-16 11:07:31 EDT
Verified on
Version :	
3.3.0.GA Update 04
Build Number :	
b42d4f0:9e8659d

However there are other files which are not removed - captured here bz1263742
Comment 5 errata-xmlrpc 2015-10-28 10:37:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.